EDIT - feature request #7070

Registration workingset support for sections
11/07/2017 04:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

The following diagram illustrates different situations of in-references regarding nomenclatural acts.

The Article which is an in-reference of the Journal is the base for the registration workingset

The nomenclatural act for name 1 + Holotype has the Article as nomenclatural reference, but nomenclatural references can also
be placed into sections which have the Article as in-reference. It is especially necessary if the authorship for the name differs from
the Article.

Journal
Artikel
-> name 1
—-> Holotype
Section (nomRef) -> name 2
—-> Holotype
Section (nomRef) —> name 3
—-> Holotype
Section (nomRef) —-> Lectotype (for eg. Basionym)

Consequently the following change need to be applied (see subtasks):
* RegistrationWorkingSet class must use the in-reference as base citation in case a Section is used as nomenclatural reference.
e The TaxonNameEditor needs to offer the option to add a section as nomenclatural reference which has the base citation of the
registration workingset as in-reference

Examples:

e Brachysira altepetlensis D.Mora, R.Jahn & N.Abarca, Phytokeys 88: 45, fig. 118—132. 2017

Subtasks:

feature request # 7169: RegistrationWorkingSet class must use the in-reference as base ... Closed
feature request # 7171: TaxonNameEditor: mode which only allows adding nomenclatory ref... Closed
feature request # 7172: creating Sections must be disallowd in StartRegistrationViewBean Closed
feature request # 7173: RegistrationDao supports sections Closed
History

#1-11/07/2017 04:31 PM - Andreas Kohlbecker

- Description updated

#2 - 11/07/2017 04:33 PM - Andreas Kohlbecker

- Description updated

#3 - 11/07/2017 04:34 PM - Andreas Kohlbecker

- Description updated

#4 - 12/05/2017 02:02 PM - Andreas Miller
https://www.phycobank.org/cdm_dataportal/taxon/c8b24132-dded-4f82-89ef-31b47c86d320

- Target version changed from Release 4.12 to Release 4.13

#5 - 12/21/2017 03:04 PM - Andreas Kohlbecker
- Priority changed from Priority14 to Highest

#6 - 01/11/2018 03:29 PM - Andreas Kohlbecker

- Description updated

#7 - 01/11/2018 04:46 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#8 - 01/11/2018 04:47 PM - Andreas Kohlbecker
- Description updated

#9 - 01/11/2018 06:16 PM - Andreas Kohlbecker

- Description updated

#10 - 01/12/2018 12:52 PM - Andreas Kohlbecker

- Status changed from New to Closed
